## python-rfc3986 2.0.0

=== docs/source/requirements.txt ===
Sphinx>=1.5.3
sphinx-prompt>=1.0.0
sphinx_rtd_theme

## python-rfc3986 0.2.0

=== debian/changelog ===
python-rfc3986 (0.2.0-3+4~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 29 Aug 2016 15:40:08 +0000

python-rfc3986 (0.2.0-2) unstable; urgency=medium

  * Fix README.rst which prevents builds in Wheezy because of unicode.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Jul 2014 23:30:50 +0800

python-rfc3986 (0.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #754573)

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Jul 2014 23:05:54 +0800

=== debian/control ===
Source: python-rfc3986
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le Bouder <goneri@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-pytest,
               python3-pytest,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.5
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-rfc3986.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-rfc3986.git
Homepage: https://rfc3986.rtfd.org

Package: python-rfc3986
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Description: validating URI references per RFC 3986 - Python 2.x
 This package provides a Python implementation of RFC 3986, including
 validation and authority parsing.
 .
 This package contains the Python 2.x module.

Package: python3-rfc3986
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}
Description: validating URI references per RFC 3986 - Python 3.x
 This package provides a Python implementation of RFC 3986, including
 validation and authority parsing.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/sigmavirus24/rfc3986.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-rfc3986; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-rfc3986; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e && for pyvers in $(PYTHONS) $(PYTHON3S); do \
		PYTHON=python$$pyvers py.test-$$pyvers tests ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-rfc3986 0.2.2

=== debian/changelog ===
python-rfc3986 (0.2.2-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream point release, resolving issue which causes valid
    URLS to be rejected (LP: #1632538).

 -- James Page <james.page@ubuntu.com>  Thu, 20 Oct 2016 09:55:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-rfc3986
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>,
@@ -14,8 +15,8 @@
                python3-all,
                python3-setuptools
 Standards-Version: 3.9.5
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-rfc3986.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-rfc3986.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-rfc3986.git
+Vcs-Git: git://anonscm.debian.org/openstack/python-rfc3986.git
 Homepage: https://rfc3986.rtfd.org
 
 Package: python-rfc3986

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/r/rfc3986 rfc3986-(.*).tar.gz

## python-rfc3986 0.3.1

=== debian/changelog ===
python-rfc3986 (0.3.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 15:02:50 +0200

python-rfc3986 (0.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2016 10:44:45 +0200

python-rfc3986 (0.2.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Thomas Goirand ]
  * Using python -m pytest instead of py.test-3.5 (Closes: #835245835245).
  * Using goodies from openstack-pkg-tools >= 52~.
  * Standards-Version: 3.9.8.
  * Removed inactive uploaders.
  * Fixed debian/copyright ordering.
  * Removed pre-depends on dpkg version, moved pytest to b-d-indep.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Sep 2016 08:00:17 +0000

=== debian/control ===
Source: python-rfc3986
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-pytest,
                     python3-pytest,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-rfc3986?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-rfc3986 -b debian/newton
Homepage: https://rfc3986.rtfd.org

Package: python-rfc3986
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: validating URI references per RFC 3986 - Python 2.x
 This package provides a Python implementation of RFC 3986, including
 validation and authority parsing.
 .
 This package contains the Python 2.x module.

Package: python3-rfc3986
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: validating URI references per RFC 3986 - Python 3.x
 This package provides a Python implementation of RFC 3986, including
 validation and authority parsing.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,28 +1,18 @@
 #!/usr/bin/make -f
 
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
-
 UPSTREAM_GIT := https://github.com/sigmavirus24/rfc3986.git
--include /usr/share/openstack-pkg-tools/pkgos.make
+include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3
 
-override_dh_install:
-	set -e && for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-rfc3986; \
-	done
-	set -e && for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-rfc3986; \
-	done
+override_dh_auto_install:
+	pkgos-dh_auto_install
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	set -e && for pyvers in $(PYTHONS) $(PYTHON3S); do \
-		PYTHON=python$$pyvers py.test-$$pyvers tests ; \
+	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
+		PYTHON=python$$pyvers python$$pyvers -m pytest tests ; \
 	done
 endif

## python-rfc3986 1.2.0

=== debian/changelog ===
python-rfc3986 (1.2.0-0ubuntu1) disco; urgency=medium

  * d/watch: Use pypi.debian.net.
  * New upstream release.
  * d/rules: Fixup PYTHONPATH for unit tests.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 14:18:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-rfc3986
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
-		PYTHON=python$$pyvers python$$pyvers -m pytest tests ; \
+		PYTHONPATH=$(CURDIR)/src PYTHON=python$$pyvers python$$pyvers -m pytest tests ; \
 	done
 endif

## python-rfc3986 1.3.2

=== debian/changelog ===
python-rfc3986 (1.3.2-0ubuntu2) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:53:24 +0000

python-rfc3986 (1.3.2-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use pypi.debian.net.
  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Dec 2019 16:39:21 -0500

python-rfc3986 (1.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:50:27 +0200

python-rfc3986 (1.2.0-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version is now 4.3.0.
  * Remove Python 2 support.
  * Add PYTHONPATH=.:$(CURDIR)/src when running tests.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2019 20:52:31 +0100

=== debian/control ===
Source: python-rfc3986
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest,
Standards-Version: 4.3.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-rfc3986
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-rfc3986
Homepage: https://rfc3986.rtfd.org

Package: python3-rfc3986
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: validating URI references per RFC 3986 - Python 3.x
 This package provides a Python implementation of RFC 3986, including
 validation and authority parsing.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/sigmavirus24/rfc3986.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHON3S); do \
		PYTHONPATH=.:$(CURDIR)/src PYTHON=python$$pyvers python$$pyvers -m pytest tests ; \
	done
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/rfc3986/rfc3986-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-rfc3986 1.4.0

=== debian/changelog ===
python-rfc3986 (1.4.0-3) unstable; urgency=medium

  * Rebuild source-only.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Jan 2021 22:30:14 +0100

python-rfc3986 (1.4.0-2) unstable; urgency=medium

  * Add python3-idna as (build-)depends (Closes: #975924).

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Nov 2020 00:23:36 +0100

python-rfc3986 (1.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * New upstream release (Closes: #960147).

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 10:30:01 +0200

=== debian/control ===
Source: python-rfc3986
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-idna,
 python3-pytest,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-rfc3986
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-rfc3986.git
Homepage: https://rfc3986.rtfd.org

Package: python3-rfc3986
Architecture: all
Depends:
 python3-idna,
 ${misc:Depends},
 ${python3:Depends},
Description: validating URI references per RFC 3986 - Python 3.x
 This package provides a Python implementation of RFC 3986, including
 validation and authority parsing.
 .
 This package contains the Python 3.x module.

## python-rfc3986 1.5.0

=== debian/changelog ===
python-rfc3986 (1.5.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046565).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 01:15:54 +0200

python-rfc3986 (1.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 13:32:40 +0200

python-rfc3986 (1.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-attr as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Aug 2021 10:41:32 +0200

## python-rfc3986 2.0.0

=== debian/changelog ===
python-rfc3986 (2.0.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1046565).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 22:07:28 +0100

python-rfc3986 (2.0.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090608).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 08:23:46 +0100

python-rfc3986 (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 22:33:13 +0200

python-rfc3986 (2.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 15:08:23 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,12 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info src/*.egg-info .pytest_cache .pybuild
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
